---
title: "Rename organization"
url: "https://docs.signnow.com/docs/organization/operations/put-v2-organizations-org-id"
type: "endpoint"
section: "organization"
slug: "organization/operations/put-v2-organizations-org-id"
method: "PUT"
path: "/v2/organizations/{org_id}"
operation_id: "put-v2-organizations-org-id"
authorization: "bearer"
---

# Rename organization

`PUT /v2/organizations/{org_id}`

Renames an Organization.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "name"
  ],
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "description": "Name of the organization. Max length: 255 chars."
    }
  },
  "x-examples": {
    "example-1": {
      "name": "Test ORG"
    }
  },
  "description": ""
}
```

**Example** (`application/json`)

```json
{
  "name": "New organization name"
}
```

## Responses

### 204

Successful response. The organization is updated.

### 400

* Wrong, expired, or missing token.
* `name` is missing.
* `name` isn't a string.
* `name` is longer than `80` characters.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Missing name`)

```json
{
  "errors": [
    {
      "code": 12001002,
      "message": "The `name` field is required."
    }
  ]
}
```

**Example** (`name too long`)

```json
{
  "errors": [
    {
      "code": 12001004,
      "message": "The `name` field length must be less than 80 characters."
    }
  ]
}
```

**Example** (`name not a string`)

```json
{
  "errors": [
    {
      "code": 12001003,
      "message": "The `name` field must be a string."
    }
  ]
}
```

### 403

* The user isn't the organization admin.
* The user doesn't have an active trial, Professional, or Enterprise subscription.

**Example** (`Not an admin`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

**Example** (`No subscription`)

```json
{
  "errors": [
    {
      "code": 12003002,
      "message": "Access denied for current subscription."
    }
  ]
}
```

### 404

The organization doesn't exist or isn't active.

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `0aa11112b0ed40aab8cab111a76a6eea07f0000e` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/organizations/{org_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "New organization name"}'
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/put-v2-organizations-org-id*
